MantisBT  Site | Plugring | Plugins API and Macros | Forum | English Forum | Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003430Far ManagerFile Systempublic2017-05-04 11:332017-06-06 10:42
Reporteraz 
Assigned ToDrKnS 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003430: Ошибка повышения привилегий в Far 3.0.4949
DescriptionПосле повышения привилегий из Far-а файловые операции работают неправильно (в доступе к файлам отказывается). Если запускать Far с повышенными привилегиями (запуск от администратора), то операции с этими файлами совершаются нормально. Изображение, иллюстрирующее проблему, прилагается.
TagsNo tags attached.
Build4960
Attached Filesjpg file icon Image.jpg [^] (103,378 bytes) 2017-05-04 11:33


png file icon 2017-05-12_124840a.png [^] (8,119 bytes) 2017-05-12 16:43

- Relationships

-  Notes
(0015351)
rdavidiuk (reporter)
2017-05-12 16:42
edited on: 2017-05-12 16:46

Присоединяюсь к сообщению об ошибке и сообщаю подробности того, как эта ошибка проявляется на моём компьютере.

Среда: Windows 7 SP1 x86, NTFS.
UAC включен на стандартный 3-й уровень (Default)
Пользователь входит в локальную группу Administratots.
Проблема точно так же проявляется на втором компьютере с аналогичной средой.

Проблема обнаружена в Far3 сборки 4949, а также есть в ночной 4956.
Проблема НЕ возникала в предыдущих сборках: 4545, 4747, 4774, 4900.
Пользовательские макросы не установлены.
Отключение плагинов (Far.exe /p) не устраняет проблему.

Проблема проявляется в невозможности удалить файл (F8) из директории, защищаемой механизмом UAC (например, C:\PerfLogs\) (Воспроизведение: скопировать туда посторонний файл и попытаться удалить его (F8)). Однако, файл в этой директории можно просмотреть (F3) или переименовать (F6). Можно файл переместить (F6) из этой директории в обычную и там удалить.

Если запустить Far с повышенными привилегиями (Run as administrator), то ошибка не возникает.
Если Windows работает с отключенным UAC, то ошибка не возникает.

(0015356)
DrKnS (administrator)
2017-05-13 13:13

4957
(0015357)
skipik (reporter)
2017-05-14 01:45

Стало появляться вот такое:

http://jpegshare.net/thumbs/45/6c/456c1cc67181afea2ea474c27437bf58.jpg

Если удалять несколько файлов. Могут быть последствия этого изменения? До 4957 с такой ошибкой не встречался.
(0015358)
DrKnS (administrator)
2017-05-14 22:36

Ну файл наверное занят кем-то.

Текст ошибки левый, да.
Поправил, 4960.
(0015370)
rdavidiuk (reporter)
2017-06-05 22:02

На сборках 4963...4972 эта проблема у меня НЕ проявлялась. Спасибо.

- Issue History
Date Modified Username Field Change
2017-05-04 11:33 az New Issue
2017-05-04 11:33 az File Added: Image.jpg
2017-05-12 16:42 rdavidiuk Note Added: 0015351
2017-05-12 16:43 rdavidiuk File Added: 2017-05-12_124840a.png
2017-05-12 16:46 rdavidiuk Note Edited: 0015351 View Revisions
2017-05-13 13:13 DrKnS Note Added: 0015356
2017-05-13 13:13 DrKnS Assigned To => DrKnS
2017-05-13 13:13 DrKnS Status new => feedback
2017-05-14 01:45 skipik Note Added: 0015357
2017-05-14 22:36 DrKnS Note Added: 0015358
2017-06-05 22:02 rdavidiuk Note Added: 0015370
2017-06-06 10:42 DrKnS Build => 4960
2017-06-06 10:42 DrKnS Status feedback => closed
2017-06-06 10:42 DrKnS Resolution open => fixed
2017-06-06 10:42 DrKnS Fixed in Version => 3.0



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker